/* Swfdec
 * Copyright (C) 2007 Pekka Lampila <pekka.lampila@iki.fi>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "swfdec_as_internal.h"
#include "swfdec_debug.h"

SWFDEC_AS_NATIVE (1103, 1, swfdec_glow_filter_get_distance)
void
swfdec_glow_filter_get_distance (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.distance (get)");
}

SWFDEC_AS_NATIVE (1103, 2, swfdec_glow_filter_set_distance)
void
swfdec_glow_filter_set_distance (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.distance (set)");
}

SWFDEC_AS_NATIVE (1103, 3, swfdec_glow_filter_get_alpha)
void
swfdec_glow_filter_get_alpha (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.alpha (get)");
}

SWFDEC_AS_NATIVE (1103, 4, swfdec_glow_filter_set_alpha)
void
swfdec_glow_filter_set_alpha (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.alpha (set)");
}

SWFDEC_AS_NATIVE (1103, 5, swfdec_glow_filter_get_quality)
void
swfdec_glow_filter_get_quality (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.quality (get)");
}

SWFDEC_AS_NATIVE (1103, 6, swfdec_glow_filter_set_quality)
void
swfdec_glow_filter_set_quality (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.quality (set)");
}

SWFDEC_AS_NATIVE (1103, 7, swfdec_glow_filter_get_inner)
void
swfdec_glow_filter_get_inner (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.inner (get)");
}

SWFDEC_AS_NATIVE (1103, 8, swfdec_glow_filter_set_inner)
void
swfdec_glow_filter_set_inner (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.inner (set)");
}

SWFDEC_AS_NATIVE (1103, 9, swfdec_glow_filter_get_knockout)
void
swfdec_glow_filter_get_knockout (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.knockout (get)");
}

SWFDEC_AS_NATIVE (1103, 10, swfdec_glow_filter_set_knockout)
void
swfdec_glow_filter_set_knockout (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.knockout (set)");
}

SWFDEC_AS_NATIVE (1103, 11, swfdec_glow_filter_get_blurX)
void
swfdec_glow_filter_get_blurX (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.blurX (get)");
}

SWFDEC_AS_NATIVE (1103, 12, swfdec_glow_filter_set_blurX)
void
swfdec_glow_filter_set_blurX (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.blurX (set)");
}

SWFDEC_AS_NATIVE (1103, 13, swfdec_glow_filter_get_blurY)
void
swfdec_glow_filter_get_blurY (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.blurY (get)");
}

SWFDEC_AS_NATIVE (1103, 14, swfdec_glow_filter_set_blurY)
void
swfdec_glow_filter_set_blurY (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.blurY (set)");
}

SWFDEC_AS_NATIVE (1103, 15, swfdec_glow_filter_get_strength)
void
swfdec_glow_filter_get_strength (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.strength (get)");
}

SWFDEC_AS_NATIVE (1103, 16, swfdec_glow_filter_set_strength)
void
swfdec_glow_filter_set_strength (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter.strength (set)");
}

// constructor
SWFDEC_AS_NATIVE (1103, 0, swfdec_glow_filter_construct)
void
swfdec_glow_filter_construct (SwfdecAsContext *cx, SwfdecAsObject *object,
    guint argc, SwfdecAsValue *argv, SwfdecAsValue *ret)
{
  SWFDEC_STUB ("GlowFilter");
}
